> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocka.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve payout details

There are two ways to retrieve payout data:

* **Check payout status**. Pass the payout ID to the` GET /api/payouts/{id}` endpoint to retrieve detailed data, including its status. For more details, see [Check payout status](/api-reference/check-payout-status).
* **Webhook notification**. If you provided a `webhookUrl`, you can listen for events and receive notifications when the payout's status changes.

<Accordion title="More on webhooks" icon="fa-info-circle">
  ## Sample webhook body for a successful payout

  ```json theme={null}
  {  
     "Id":"12345678test123456789",  
     "Status":"Done",  
     "CreatedAt":"2024-10-07T06:13:51.0834821Z",  
     "ExecutedAt":"2024-10-07T06:15:04.4400235Z",  
     "Amount":1000,  
     "Fee":12,  
     "Currency":"EUR",  
     "RequestId":null,  
     "RejectReason":null,  
     "Type":"OpenBanking",  
     "CardNumber":null,  
     "CardHolderReference":null,  
     "Iban":"TT123456789HFE112345",  
     "BeneficiaryName":"User Testing",  
     "BeneficiaryRef":"12345678 PAYOUT",  
     "Signature":"b2e286bfc7b94ab2342342341881c85b50f286b23462436432d7dfc5fcd05ca2r234r231",
    }
  ```

  ## Sample webhook body (failed payout)

  ```json theme={null}
  {  
     "Id":"12345678test123456789",  
     "Status":"Failed",  
     "CreatedAt":"2024-10-07T06:13:51.0834821Z",  
     "ExecutedAt":"2024-10-07T06:15:04.4400235Z",  
     "Amount":1000,  
     "Fee":12,  
     "Currency":"EUR",  
     "RequestId":null,  
     "RejectReason":null,  
     "Type":"OpenBanking",  
     "CardNumber":null,  
     "CardHolderReference":null,  
     "Iban":"TT123456789HFE112345",  
     "BeneficiaryName":"User Testing",  
     "BeneficiaryRef":"12345678 PAYOUT",  
     "Signature":"b2e286bfc7b94ab2342342341881c85b50f286b23462436432d7dfc5fcd05ca2r234r231",
    }
  ```
</Accordion>

<Note>
  If you're using `webhookUrl` to retrieve payout data, make sure to include security checks to prevent bank fraud. For more details, see [Security checks](/api-reference/security-checks).
</Note>
